*{
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

html{
    width: 100%;
    height: 100%;
}

body{
    min-width: 100%;
    min-height: 100%;
    font-size: 100%;
    font-family: Arial, Helvetica, sans-serif;
}

p,button,a{
    font-size: 16px;
}

h1{
    font-size: 28px;
}

.btn{
    position: relative;
    display: inline-block;
    padding: 7px 12px;
    background-color: #1da1f2;
    border: 2px solid white;
    color: white;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease-in-out;
}

.btn:hover{
   background-color: rgb(26, 145, 218);
}

.container{
    width: 100%;
    min-height: 100vh;
    padding: 20px;
    display: flex;
    flex-flow: row nowrap;
    justify-content: center;
    align-items: center;
    background-color: white;
    transition: background-color 0.5s ease-in-out;
}

.quote-box{
    padding: 50px 30px 30px;
    border-radius: 5px;
    max-width: 600px;
    flex-grow: 1;
    background-color:  white;
    color: black;
    display: none;
    transition: color 0.3s ease-in-out;
}

.text{
    font-family: 'Inconsolata', monospace;
    margin-bottom: 20px;
    text-align: center;
}

.author{
    font-size: 18px;
    text-align: right;
    margin-bottom: 30px;
}
.btn-group{
    margin-bottom: 0;
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
}


.loader::before{
    position: absolute;
    display: inline-block;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-family: "Font Awesome 5 Free"; font-weight: 900; 
    content: "";
    white-space: pre;
    animation-name: btnLoader;
    animation-duration: 1.5s;
    animation-iteration-count: infinite;
    animation-timing-function: ease-in;
    animation-direction: normal;
}

@keyframes btnLoader {

    0%{
        content: "";
    }

    25%{
        content: "\f111"; 
    }

    50%{
        content: "\f111    \f111";
    }

    75%{
        content: "\f111   \f111   \f111"; 
    }

    100%{
        content: "";  
    }
}
#page-loader{
    width: 100%;
    height: 100%;
    font-size: 18px;
    display: block;
    color: #1da1f2;
}
#btn-loader{
    font-size: 8px;
    display: none;
}


@media (min-width: 500px) {
    h1{
        font-size: 35px;
    }
    p,button,a{
        font-size: 18;
    }
    .quote-box{
        padding: 50px 50px 30px;
    }
    .author{
        font-size: 20px;
    }
}

